<template src="./template.html"></template>

<script lang="ts">
import { Component, Vue, Watch } from "nuxt-property-decorator";
import { apiErrorHandler } from "~/utils/apiHanlers";
var momentz = require("moment-timezone");
@Component({})
export default class SellerSettingsPaymentMethodComponent extends Vue {
	listPayment = [];

	mounted() {
		this.onGetListSellerPayment();
	}

	async onGetListSellerPayment() {
		try {
			const storeId = this.$store.state.sellerStore.storeId;
			if (!storeId)
				return this.$pushNotification.error("Cannot found storeId");
			const response = await this.$api.store.sellerStoreListPayment(
				storeId
			);
			if (response?.data) {
				this.listPayment = response.data.filter((item:any) => item?.sellerPaymentId?.status !== null);
			}
		} catch (error) {
			apiErrorHandler(error, this);
		}
	}

	async onTogglePayment(payment: any) {
		try {
			await this.$api.store.sellerStoreTogglePayment(payment._id);
			this.$pushNotification.success("Update status successfully");
			// this.onGetListSellerPayment();
		} catch (error) {
			apiErrorHandler(error, this);
		}
	}

	async onTogglePaypalCard(payment: any) {
		try {
			await this.$api.store.sellerStoreTogglePaypalCard(payment._id);
			this.$pushNotification.success("Toggle paypal card successfully");
		} catch (error) {
			apiErrorHandler(error, this);
		}
	}

	get storeId() {
		return;
	}
}
</script>
